/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.syswarning.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.syswarning.entity.SysWarningRole;
import com.jeeplus.modules.syswarning.dao.SysWarningRoleDao;

/**
 * 系统预警Service
 * @author chenyuping
 * @version 2018-08-14
 */
@Service
@Transactional(readOnly = true)
public class SysWarningRoleService extends CrudService<SysWarningRoleDao, SysWarningRole> {

	public SysWarningRole get(String id) {
		return super.get(id);
	}
	
	public List<SysWarningRole> findList(SysWarningRole sysWarningRole) {
		return super.findList(sysWarningRole);
	}
	
	public Page<SysWarningRole> findPage(Page<SysWarningRole> page, SysWarningRole sysWarningRole) {
		return super.findPage(page, sysWarningRole);
	}
	
	@Transactional(readOnly = false)
	public void save(SysWarningRole sysWarningRole) {
		super.save(sysWarningRole);
	}
	
	@Transactional(readOnly = false)
	public void delete(SysWarningRole sysWarningRole) {
		super.delete(sysWarningRole);
	}
	
	
	
	
}